package com.sy.coinage.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sy.coinage.sys.req.DictBatchAddReq;
import com.sy.coinage.sys.req.DictBatchUpdateReq;
import com.sy.coinage.sys.req.AdminDictAddReq;
import java.util.List;

import com.sy.coinage.core.vo.OptVO;
import com.sy.coinage.sys.model.*;
import com.sy.coinage.sys.vo.DictListVO;

/**
 * 字典Service
 */
public interface IDictService extends IService<Dict> {

    List<DictListVO> treeList(String tag, Integer tenantId);

    List<OptVO> opt(String tag, Integer tenantId);

    List<OptVO> treeOpt(String tag, Integer tenantId);

    List<OptVO> cascadeOpt(String tag, Integer pid, Integer tenantId);

    void batchAdd(DictBatchAddReq req);

    void batchUpdate(DictBatchUpdateReq req);

    void adminaAdd(AdminDictAddReq req);

    Dict getByVal(Object tag, Object val, Integer tenantId);

}
